Skip to main content

CreateTask - Create an offline meeting minutes task

API reference for creating an offline meeting minutes task.

Prerequisites

Activate the service and obtain and configure an API key. To prevent security risks from code leaks, configure the API key as an environment variable instead of hard coding it in your code.
To grant temporary access permissions to third-party applications or users, or want to strictly control risky operations such as accessing or deleting sensitive data, you can use a temporary authentication token.Compared to a long-term API key, a temporary authentication token is valid for only a short period (60 seconds) and offers higher security. It is suitable for temporary call scenarios and can effectively reduce the risk of API key leaks.Usage: In your code, replace the API key used for authentication with the obtained temporary authentication token.

Endpoint URL

https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generation

Request method

This operation uses the POST method.

Request headers

Authorization: Bearer {api-key} // Replace {api-key} with your actual API key.
Content-Type: application/json

Create a task

Creates an offline meeting minutes task.

Request parameters

NameTypeRequiredDescriptionExample
modelstringYesDefines the business type. Set the value to tingwu-meeting.tingwu-meeting
inputobjectYesPass the relevant business parameters
input.fileUrlstringOne of threeThe OSS URL of the file to analyze.https://.oss-cn-hangzhou.aliyuncs.com/%E8%AF%95%E9%A9%BE%E6%A1%88%E4%BE%8Bsmall.wav?OSSAccessKeyId=YOUR_ACCESS_KEY_ID&Expires=&Signature=YOUR_SIGNATURE
input.textstringThe text to analyze.Each line must be in the following format:${Speaker Name}: ${Speaker Content}Example:
Speaker1: I want to buy an SUV.
Speaker2: What is your price range?
input.dataIdstringAssociates a task that has been uploaded and parsed.j0oS1XbbT***
input.appIdstringYesThe application ID.tw_YrN4Ss9o5***
input.taskstringYesDefines the task type. Set the value to createTask to create a task.createTask
input.typestringYesThe type of meeting minutes task to create. For an offline meeting minutes task, set the value to offline.offline
input.phraseIdstringYesThe ID of the hotword list. You can obtain this ID from the Hotwords page in the console.This parameter is required when you create a meeting task but is optional when you end the meeting and generate minutes.z4p5EVXof***
parametersobjectNoThe control parameters for the offline meeting minutes.
parameters.transcriptionobjectYesThe parameters required for transcription.
parameters.transcription.modelstringYesThe transcription model:
  • paraformer-v2 (Chinese and English): cn
  • paraformer-v2 (Chinese, English, Japanese, Korean, and Cantonese): multilingual
  • paraformer-v2 (English): en
  • paraformer-v2 (Cantonese): yue
  • paraformer-v2 (Japanese): ja
  • paraformer-v2 (Korean): ko
  • fun-asr (Chinese and English)
  • Education realm model (Chinese and English): domain-education
  • Automotive realm model (Chinese, English, and Cantonese): domain-automotive
cn
parameters.transcription.languageHintsstring[ ]NoThis parameter is valid only when model is set to multilingual. The selectable languages. Pass the selected languages from the multi-selection box:Chinese (cn), English (en), Cantonese (yue), Japanese (ja), Korean (ko), German (de), French (fr), and Russian (ru).Example: ["cn", "en", "yue", "ko"]["cn"]
parameters.transcription.diarizationEnabledbooleanYesSpecifies whether to enable speaker diarization.true
parameters.transcription.diarizationSpeakerCountintNoThe number of speakers to separate when speaker diarization is enabled. 0: The number of speakers is indefinite. 2: The number of speakers is two.The default value is 0.
parameters.transcription.translationEnabledbooleanYesSpecifies whether to enable translation.true
parameters.transcription.translationTargetLangstring[ ]NoIf translation is enabled, set the target language:Chinese (cn), English (en), Japanese (ja), Korean (ko), German (de), French (fr), or Russian (ru).Only a single language is supported. Example: ["cn"].Note that the value of this parameter must be different from the value of the model parameter. Otherwise, the task fails to be created.["cn"]
parameters.audioobjectNoThe parameters related to audio input.?
parameters.audio.audioChannelModestringNoThe multi-channel audio settings.
  • "": Telephone recording or single-channel audio with a sample rate of 16 kHz or higher.
  • mix: Multi-channel audio with a sample rate of 16 kHz or higher (recorded by an in-car device).
  • If you do not specify this parameter, the default value "" is used.
""
parameters.analysisobjectYesThe LLM analysis parameters.
parameters.analysis.modelstringYesThe global analysis model:
  • Default -> default
  • tingwu-plus -> tingwu-plus
  • qwen-plus -> qwen-plus
  • qwq -> qwq
default
parameters.analysis.keyInformationEnabledbooleanYesSpecifies whether to enable keyword extraction.true
parameters.analysis.actionsEnabledbooleanYesIs the To-Do List enabled?true
parameters.analysis.fullSummaryEnabledbooleanYesSpecifies whether to enable full text summarization.true
parameters.analysis.fullSummaryFormatstringNoThe format of the full text summary:
  • Paragraph summary: Default
  • markdown: A summary in Markdown format.
default
parameters.analysis.conversationalEnabledbooleanYesSpecifies whether to enable speaker summaries.true
parameters.analysis.questionsAnsweringEnabledbooleanYesEnable review of Q&A pairstrue
parameters.analysis.mindMapEnabledbooleanYesSpecifies whether to enable mind map generation.true
parameters.analysis.mindMapFormatstringNoThe format of the mind map:
  • Timestamp: timestamp
  • plain: Does not include timestamps.
timestamp
parameters.analysis.pptExtractionEnabledbooleanYesSpecifies whether to enable PPT extraction.true
parameters.analysis.autoChaptersEnabledbooleanYesEnable chapter preview?true
parameters.analysis.autoChapterGranularitystringNoThe granularity of chapters.Coarse: Approximately 4 chapters per hour of audio or video.General: Approximately 6 chapters per hour of audio or video.Meticulous: Approximately 12 to 15 chapters per hour of audio or video.General
parameters.analysis.autoChapterTitleLengthLevelstringNoThe length of chapter titles.Short: 6 to 25 characters, with an average of 13 characters.Normal: 10 to 28 characters, with an average of 16 characters.Long: 10 to 30 characters, with an average of 20 characters.Short
parameters.analysis.textPolishEnabledbooleanYesSpecifies whether to convert spoken language to written language.true
parameters.analysis.customPromptEnabledbooleanYesSpecifies whether to enable custom prompts.true
parameters.analysis.customPromptModelstringNoIf custom prompts are enabled, select a model:
  • tingwu-turbo
  • tingwu-plus
  • qwen-max
tingwu-turbo
parameters.analysis.customPromptTransTypestringNoThe format of the text that replaces the {Transcription} placeholder in the prompt. The protocols are as follows:
  • default: Transcription text only.
    • Example: What is the weather like in Beijing? What is the weather like in Shanghai?
  • chat: Speaker and transcription text.
    • Example: Speaker 1:What is the weather like in Beijing?\nSpeaker 2:What is the weather like in Shanghai?\n
  • sentence-chat: Sentence ID, speaker, and text.
    • Example: [1] Speaker 1:What is the weather like in Beijing?\n[2] Speaker 2:What is the weather like in Shanghai?\n
default
parameters.analysis.customPromptContentstringYesThe custom prompt entered by the user. Note: Place the {Transcription} placeholder where the original text is needed in the prompt. When the prompt runs, the placeholder is replaced with the transcribed text in the format defined by parameters.analysis.customPromptTransType.Please summarize the following content:{Transcription}

Response parameters

Name

Type

Description

Example

output

object

output.dataId

string

The task ID.

lsA***

usage

object

The usage. The return value is an empty object: `{}`.

{}

code

string

The error code.

InvalidParameter

message

string

The error message.

Agent Input text format error.

request_id

string

The request ID.

f97ee37d-0f9c-9b93-b6bf-bd263a232bf9

Request example

Replace sk-*** in the Authorization request header with your Alibaba Cloud Model Studio API key. For more information about how to obtain an API key, see Prerequisites.
curl --location 'https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generation' \
--header 'Authorization: Bearer sk-***' \
--header 'Content-Type: application/json' \
--data '{
    "model": "tingwu-meeting",
    "input": {
        "task": "createTask",
        "type": "offline",
        "appId": "tw_AxlVSM**",
        "fileUrl": "",
        "phraseId": "z4p5EVXof***"
    },
    "parameters": {
        "transcription": {
            "model": "cn",
            "diarizationEnabled": true,
            "diarizationSpeakerCount": 0,
            "translationEnabled": true,
            "translationTargetLang": [
                "en"
            ]
        },
        "analysis": {
            "model": "default",
            "keyInformationEnabled": true,
            "actionsEnabled": true,
            "fullSummaryEnabled": true,
            "fullSummaryFormat": "markdown",
            "conversationalEnabled": true,
            "questionsAnsweringEnabled": true,
            "mindMapEnabled": true,
            "mindMapFormat": "timestamp",
            "pptExtractionEnabled": true,
            "autoChaptersEnabled": true,
            "autoChapterGranularity": "Coarse",
            "autoChapterTitleLengthLevel": "Short",
            "textPolishEnabled": true,
            "customPromptEnabled": true,
            "customPromptModel": "tingwu-turbo",
            "customPromptTransType": "default",
            "customPromptContent": "{Transcription}Guess how many people are in the preceding conversation."
        }
    }
}'

Response example

{
    "output": {
        "dataId": "z4p***"
    },
    "usage": {},
    "request_id": "1e92069c-e1e6-4a5a-97aa-19c3d880140d"
}
Agent Development
Agent Context
Agent Governance & Evolution
Store
Application Marketplace